KNOWLEDGE BASE

Tableau Mac Software Does Not Yet Support Apple Silicon CPU


Published: 30 Sep 2020
Last Modified Date: 14 Oct 2020

Issue

Attempting to install current Tableau Mac products on a Mac with an Apple silicon CPU will fail with an error: "Your computer's processor doesn't meet the minimum requirements That Tableau requires to install the software. To view the minimum requirements, see https://www.tableau.com/products/en-us/techspecs."

Environment

  • All versions and editions of Tableau Desktop, Tableau Prep Builder, and Tableau Reader
  • Apple's Developer Transition Kit (DTK) (available as of summer 2020)
  • future Macs with Apple Silicon processors 

Resolution

Tableau plans to provide compatibility with Apple Silicon processors in a future new version of Tableau. 

Tableau will not back-port compatibility with Apple Silicon to older releases.

Current Tableau products are not compatible with Apple's new Apple Silicon processors. 

Developer kits with Apple Silicon are available as of summer 2020.

Apple plans to announce and ship the first Mac with Apple Silicon by the end of 2020 and complete the transition of the entire Mac product line in "about two years." Specific models and timing were not included in the original announcement.

Cause

Apple's new processors are a new architecture. Just as macOS must be fundamentally updated to run on this architecture, Mac applications also need to be rebuilt in order to run.
Did this article resolve the issue?